## audiodynamic audiodynamic — Compressor and Expander |

## Properties

GstAudioDynamicCharacteristics | characteristics | Read / Write
GstAudioDynamicMode | mode | Read / Write
gfloat | ratio | Read / Write
gfloat | threshold | Read / Write

## Types and Values

struct | GstAudioDynamic

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstAudioFilter
                            ╰── GstAudioDynamic

## Description

This element can act as a compressor or expander. A compressor changes the amplitude of all samples above a specific threshold with a specific ratio, a expander does the same for all samples below a specific threshold. If soft-knee mode is selected the ratio is applied smoothly.

### Example launch line

    1
    2
    3
    gst-launch-1.0 audiotestsrc wave=saw ! audiodynamic characteristics=soft-knee mode=compressor threshold=0.5 rate=0.5 ! alsasink
    gst-launch-1.0 filesrc location="melo1.ogg" ! oggdemux ! vorbisdec ! audioconvert ! audiodynamic characteristics=hard-knee mode=expander threshold=0.2 rate=4.0 ! alsasink
    gst-launch-1.0 audiotestsrc wave=saw ! audioconvert ! audiodynamic ! audioconvert ! alsasink

## Synopsis

### Element Information

plugin | audiofx
author | Sebastian Dröge <slomo@circular-chaos.org>
class | Filter/Effect/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string){ S16LE, F32LE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string){ interleaved, non-interleaved }

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ S16LE, F32LE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string){ interleaved, non-interleaved }

## Functions

## Types and Values

### struct GstAudioDynamic

    struct GstAudioDynamic;

## Property Details

### The `“characteristics”` property

      “characteristics”          GstAudioDynamicCharacteristics

Selects whether the ratio should be applied smooth (soft-knee) or hard (hard-knee).

Flags: Read / Write

Default value: Hard Knee (default)

### The `“mode”` property

      “mode”                     GstAudioDynamicMode

Selects whether the filter should work on loud samples (compressor) orquiet samples (expander).

Flags: Read / Write

Default value: Compressor (default)

### The `“ratio”` property

      “ratio”                    gfloat

Ratio that should be applied.

Flags: Read / Write

Allowed values: >= 0

Default value: 1

### The `“threshold”` property

      “threshold”                gfloat

Threshold until the filter is activated.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0